# DataExchange
TKSTEP209
StepElement

# StepElement_SurfaceSectionFieldVarying Class Reference

Representation of STEP entity SurfaceSectionFieldVarying
.

`#include <StepElement_SurfaceSectionFieldVarying.hxx>`

Inheritance diagram for StepElement_SurfaceSectionFieldVarying:

[legend]

## Public Member Functions

Standard_EXPORT | StepElement_SurfaceSectionFieldVarying ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepElement_HArray1OfSurfaceSection)&aDefinitions, const Standard_Boolean aAdditionalNodeValues)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepElement_HArray1OfSurfaceSection | Definitions () const
| Returns field Definitions .
Standard_EXPORT void | SetDefinitions (const Handle(StepElement_HArray1OfSurfaceSection)&Definitions)
| Set field Definitions .
Standard_EXPORT Standard_Boolean | AdditionalNodeValues () const
| Returns field AdditionalNodeValues .
Standard_EXPORT void | SetAdditionalNodeValues (const Standard_Boolean AdditionalNodeValues)
| Set field AdditionalNodeValues .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepElement_HArray1OfSurfaceSection | theDefinitions
Standard_Boolean | theAdditionalNodeValues

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_SurfaceSectionFieldVarying::StepElement_SurfaceSectionFieldVarying | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean StepElement_SurfaceSectionFieldVarying::AdditionalNodeValues | ( |  | ) | const

Standard_EXPORT Handle_StepElement_HArray1OfSurfaceSection StepElement_SurfaceSectionFieldVarying::Definitions | ( |  | ) | const

Standard_EXPORT const StepElement_SurfaceSectionFieldVarying::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepElement_SurfaceSectionField.

Standard_EXPORT void StepElement_SurfaceSectionFieldVarying::Init | ( | const Handle(StepElement_HArray1OfSurfaceSection)& | aDefinitions,
|  | const Standard_Boolean | aAdditionalNodeValues
| ) |

Standard_EXPORT void StepElement_SurfaceSectionFieldVarying::SetAdditionalNodeValues | ( | const Standard_Boolean | AdditionalNodeValues | ) |

Standard_EXPORT void StepElement_SurfaceSectionFieldVarying::SetDefinitions | ( | const Handle(StepElement_HArray1OfSurfaceSection)& | Definitions | ) |

## Field Documentation

Standard_Boolean StepElement_SurfaceSectionFieldVarying::theAdditionalNodeValues `[private]`

Handle_StepElement_HArray1OfSurfaceSection StepElement_SurfaceSectionFieldVarying::theDefinitions `[private]`

The documentation for this class was generated from the following file:

- StepElement_SurfaceSectionFieldVarying.hxx